#language: ru

Функционал: 10_milk_scenario. Заполнение справочника Физ.лица

Сценарий: 10_milk_scenario. Заполнение справочника Физ.лица
	Дано Я подключаюсь под "Администратор"
	И Я создаю физическое лицо "Укладчик Сидорова"
	И Я создаю физическое лицо "Укладчик Петров"
	И Я создаю физическое лицо "Упаковщик Митяев"
	И Я создаю физическое лицо "Карщик Невельская"
	И Я создаю физическое лицо "Водитель Иванов Иван"

Сценарий: 10_milk_scenario. Связка пользователя и физ.лица для учета выработки
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я нажимаю на кнопку 'Пользователи'
	Тогда открылось окно 'Пользователи'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'              |
		| 'Пользователь' |
	И в таблице "ПользователиСписок" я выбираю текущую строку
	Тогда открылось окно 'Пользователь (Пользователь)'
	И я нажимаю кнопку выбора у поля "Физическое лицо"
	Тогда открылось окно 'Физические лица'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'      |
		| 'Укладчик Сидорова' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Пользователь (Пользователь) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Пользователь (Пользователь) *' в течение 20 секунд
	Тогда открылось окно 'Пользователи'
	И Я закрываю окно 'Пользователи'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'